LinkPermission (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.nio.file, class: LinkPermission
Keywords: java.nio.file.LinkPermission class

# Class LinkPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.nio.file.LinkPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class LinkPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
The `Permission` class for link creation operations.

Since:
  1.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a `LinkPermission` with the specified name.
  `LinkPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a `LinkPermission` with the specified name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LinkPermission

    public LinkPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a `LinkPermission` with the specified name.
    Parameters:
      `name` - the name of the permission. It must be "hard" or "symbolic".
    Throws:
      `IllegalArgumentException` - if name is empty or invalid

  - ### LinkPermission

    public LinkPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a `LinkPermission` with the specified name.
    Parameters:
      `name` - the name of the permission; must be "hard" or "symbolic".
      `actions` - the actions for the permission; must be the empty string or `null`
    Throws:
      `IllegalArgumentException` - if name is empty or invalid, or actions is a non-empty string